<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>al.lv.jtp.events</name>
<version>13</version>
<engineversion>25</engineversion>
<description>JTP - AL Plugin event handler</description>
<arguments>
<argument index="1" name="plugin.ID" type="Var/String" desc="plugin ID" />
<argument index="2" name="plugin.Vars" type="Value" desc="plugin data" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>if&#160;plugin&#160;is&#160;disabled,&#160;dont&#160;do&#160;anything</var></comment></line>
<line linenr="002" indent=""><var>$plugin.Enabled&#160;=&#160;</var><var>$plugin.Vars</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="003" indent=""></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><var>if&#160;</var><var>$plugin.Enabled</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>1</var></line>
<line linenr="006" interruptable="@" indent="&#160;"><var>START&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.removesetup.jtp</call><text>&#160;:&#160;</text></line>
<line linenr="007" interruptable="@" indent="&#160;"><var>START&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.stremoval.jtp</call><text>&#160;:&#160;</text></line>
<line linenr="008" interruptable="@" indent="&#160;"><var>START&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.killglobals</call><text>&#160;:&#160;</text></line>
<line linenr="009" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="010" indent=""><text>end</text></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><var>if&#160;</var><var>$plugin.Enabled</var><text>&#160;</text><var>==</var><text>&#160;</text><var>1</var></line>
<line linenr="013" interruptable="@" indent="&#160;"><var>START&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.setup.jtp</call><text>&#160;:&#160;</text></line>
<line linenr="014" interruptable="@" indent="&#160;"><var>START&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.stsetup.jtp</call><text>&#160;:&#160;</text></line>
<line linenr="015" interruptable="@" indent="&#160;"><var>START&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.killglobals</call><text>&#160;:&#160;</text></line>
<line linenr="016" indent=""><text>end</text></line>
<line linenr="017" indent=""></line>
<line linenr="018" indent=""><var>exit</var><text>:</text></line>
<line linenr="019" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="al.lv.jtp.events" /><sval type="int" val="25" /><sval type="string" val="JTP - AL Plugin event handler" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="array" size="3"><sval type="string" val="plugin.ID" /><sval type="string" val="plugin.Vars" /><sval type="string" val="plugin.Enabled" /></sval><sval type="array" size="12"><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611197" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.lv.removesetup.jtp" /><sval type="int" val="-2147483646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.lv.stremoval.jtp" /><sval type="int" val="-2147483646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.killglobals" /><sval type="int" val="-2147483646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610173" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.lv.setup.jtp" /><sval type="int" val="-2147483646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.lv.stsetup.jtp" /><sval type="int" val="-2147483646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.killglobals" /><sval type="int" val="-2147483646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="exit" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="11" /><sval type="string" val="plugin ID" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="plugin data" /></sval></sval><sval type="array" size="7"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="if plugin is disabled, dont do anything" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
